
export function loadPage () {
    const container = document.querySelector('#container-fluid');


    if (!container) return; // Stop if the container isn't found
    
    fetch('KnowledgeBank/Nolans1.html')
            .then(response => response.text())
            .then(data => {
                // Create a temporary container element to hold the loaded content
                const tempContainer = document.createElement('div');
                tempContainer.innerHTML = data;

                // Select the specific element with the class you want
                const specificElement = tempContainer.querySelector('.nolans-main-container');

                if (specificElement) {
                    // Insert the specific element into the target element
                    container.insertBefore(specificElement, container.firstChild);
                }
                
            })
            .catch(error => {
                console.error('Failed to load the external HTML file:', error);
            });


}