const path = require("path");

module.exports = {
  entry: {
    pageHandler: "./client/SidebarAndHeader/pageHandler.js",
    makeSuggestion: "./client/Make_Suggestion_Code/makeSuggestion.js",
    ideaBank: "./client/ideaBank/ideaBank.js",
    homePage: "./client/homePage.js",
    currentProjects: "./client/currentProjects/currentProjects.js",
    completedProjects: "./client/KnowledgeBank/completedProjects.js",
    knowledgeBank: "./client/KnowledgeBank/knowledgeBank.js",
    currentProjects: "./client/currentProjects/currentProjects.js",
    login: "./client/login/login.js",
    projectPage: "./client/projectPage/projectPage.js",
    projectPageP: "./client/projectPage/projectPageP.js",
    projectPageG: "./client/projectPage/projectPageG.js",
    projectPageS: "./client/projectPage/projectPageS.js",
    projectPageA: "./client/projectPage/projectPageA.js",
    initiateIdea: "./client/initiateForbattringsarbete/initiateIdea.js"
  },
  output: {
    filename: "[name].bundle.js",
    path: path.resolve(__dirname, "./client/dist"),
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: {
          loader: "babel-loader",
          options: {
            presets: ["@babel/preset-env"],
          },
        },
      },
    ],
  },
};
