#!/bin/sh


# Compile TypeScript files
tsc -p tsconfig.json

# Build the project
npm run build

# Set Docker Hub credentials
DOCKER_HUB_USERNAME="c3solutions"
DOCKER_HUB_PASSWORD="TDDC88_C3"

# Set Docker image name
DOCKER_IMAGE_NAME="$DOCKER_HUB_USERNAME/tddc88-c3"

# Login to Docker Hub
echo "$DOCKER_HUB_PASSWORD" | docker login -u "$DOCKER_HUB_USERNAME" --password-stdin

# Build Docker image
docker build -t $DOCKER_IMAGE_NAME .

# Push Docker image to Docker Hub
docker push $DOCKER_IMAGE_NAME
