import {
  createComment,
  createHospital,
  createImprovementWork,
  upvoteSuggestion,
  upvoteComment,
  createSuggestion,
  createTaskOnImprovementWork,
  createUnit,
  createUser,
  getComments,
  getImprovementWorks,
  getSuggestions,
  getUsers,
  getTasks,
  getObject,
  addDocumentToImprovementWork,
  addMemberToImprovementWork,
  updateInstance,
  addMemberToTask,
  deleteInstance,
  deleteAllDocumentsInCollection,
  createdDocumentInKnowledgeBank,
  getObjectById,
  startOrPauseImprovementWork,
  finalizeImprovementWork,
  db,
} from "./database";
let collection: any[] = [
  "users",
  "improvementWork",
  "task",
  "member_in_improvementWork",
  "member_in_task",
  "hospital",
  "unit",
  "suggestion",
  "comment",
];

async function deleteAll() {
  try {
    for (const collectionName of collection) {
      let result = await deleteAllDocumentsInCollection(collectionName);
      console.log(result);
    }
  } catch (error) {
    console.log(error);
  }
}

async function run() {
  try {
    // await deleteAll();
    // await createHospital("hosp123", "US");
    // await createUnit("uni1", "hosp123", "grupp1");
    // createUser(
    //   "eribe255",
    //   "uni1",
    //   "erik",
    //   "bertilsson",
    //   "erik@mail.com",
    //   "erik",
    //   true
    // );
    // createUser(
    //   "johca123",
    //   "uni1",
    //   "johan",
    //   "christiansson",
    //   "johan@mail.com",
    //   "johan",
    //   false
    // );
    // await createImprovementWork('proj_001',"plan", "plan", "planering", "uni1", "do this", "Blue", "Område", "Orsak", "Syfte", "Mätdata", "Mäta genom...", "Metoder", "Lösning", "Effekt", "G1", "g2", "g3", "g4", "g5", "s1", "s2", "s3", "a1", "a2", "a3", "a4");
    // const improvementWork = await getObject("improvementWork");
    // addMemberToImprovementWork('eribe255', improvementWork[0].id, true, true)
    // addDocumentToImprovementWork('/help.doc', 'help', improvementWork[0].id)
    // await createTaskOnImprovementWork('tsk1', improvementWork[0].id, 'task one', new Date('2023-10-16'), new Date('2022-10-16'), 'plan', 'plan task one')
    // addMemberToTask('eribe255', 'tsk1', true)
    // await createSuggestion('sugg_01','johca123', 'improve', 'do it better',true,  'uni1', true)
    // const suggestion = await getObject('suggestion')
    // createComment('eribe255', suggestion[0].id, 'great')
    // upvoteSuggestion(suggestion[0].id, 'eribe255')
    // upvoteSuggestion(suggestion[0].id, 'eribe255')
    // upvoteSuggestion(suggestion[0].id, 'johca123')
    // await createComment('johca123', suggestion[0].id, 'bad')
    // const comment = await getCommentsForSuggestion(suggestion[0].id)
    // upvoteComment(suggestion[0].id, comment[0].id, 'eribe255')
    // createdDocumentInKnowledgeBank('nolan.url', 'nolan')
    await startOrPauseImprovementWork( 'eribe255', 'proj_001');
    console.log(await getObjectById( 'improvementWork', 'proj_001'))
    // await startOrPauseImprovementWork('johca123', 'proj_001');
    // console.log(await getObjectById('improvementWork', 'proj_001'))
    

    await finalizeImprovementWork( 'eribe255', 'proj_001');
    console.log(await getObjectById( 'improvementWork', 'proj_001'));
    
    // // filter
    // const task = await getObject('task')
    // console.log(`task: ${JSON.stringify(task)}`)
    // const improvementWorks = await filterInImprovementWorks('plan', '', true)
    // console.log('improvementWork: ' + improvementWorks[0]);
    // const users = await filterInUsers('uni1')
    // console.log('users: ' + users[0].id);
    // await updateInstance('users', 'eribe255', {first_name: 'bert', password: 'bert'})
    // const tasks = await filterInTasks('eribe255', true, 'proj_001')
    // console.log('tasks: ' + tasks[0].id);
    // const user = await getObjectById('users', 'eribe255')
    // console.log('user: ' + JSON.stringify(user, null, 1));

  } catch (error) {
    console.log(error);
  }
}

run();
