import { exec } from "child_process";

describe("TypeScript Compilation Test", () => {
  it("should compile TypeScript without errors", (done) => {
    exec("npx tsc -p tsconfig.json", (error, stderr) => {
      // Check for compilation errors
      if (error) {
        done(new Error(`TypeScript compilation failed:\n${stderr}`));
      } else {
        done();
      }
    });
  });
});
